local factionid = "Thunder Thrash Clan";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

-- Unique Faction ID
CF_FactionIds[factionid] = "Thunder Thrash Clan";
-- Faction name	
CF_FactionNames[factionid] = "Thunder Thrash Clan";
-- Set true if faction is selectable by player or AI	
CF_FactionPlayable[factionid] = true;
-- Faction icon preset. Set to nil if you don't have one. Faction will get random default icon.
CF_FactionIcon[factionid] = "FactionIconLizardsBlue";
-- Facion icon preset module
CF_FactionIconModules[factionid] = "UnmappedLands.rte";

-- Main module used to check if mod is installed and as backward compatibility layer with v1-faction files enabled missions
CF_InfantryModules[factionid] = "Sage.rte"

-- Define weapon sets
-- Different probabilities.
-- 1 - Probability to get a heavy weapon
-- 2 - Probability to get a secondary weapon
-- 3 - Probability to get an explosive
-- 4 - Probability to a second explosive
-- Example:
-- CF_Probabilities[factionid] = {0.35 , 0.30 , 0.60 , 0.30};
CF_LightWeaponSets[factionid] = {"Slugger Pistol" }
CF_LightWeaponSetModules[factionid] = {"Lizard Weapons.rte"};

CF_HeavyWeaponSets[factionid] = {"Assault Slugger", "Shot Slugger"}
CF_HeavyWeaponSetModules[factionid] = {"Lizard Weapons.rte", "Lizard Weapons.rte"};

CF_Probabilities[factionid] = {1 , 1 , 0.30 , 0.15};

-- Define explosives
CF_ExplosiveSets[factionid] = {"Frag Grenade"};
CF_ExplosiveSetModules[factionid] = {"Coalition.rte"};

-- Define troops
CF_ActorSets[factionid] = {"Runner" , "Prowler", "Tri Horn"};
CF_ActorSetModules[factionid] = {"Blue.rte", "Blue.rte", "Blue.rte"};

--Define brains
CF_BrainPresets[factionid] = {"Prowler Elite"};
CF_BrainPresetModules[factionid] = {"Sage.rte"};

-- Define actors allowed for purchase. All other actors will be gibbed if gibbing option is enabled
CF_AllowedActors[factionid] = {"Prowler Elite", "Runner Elite", "Tri Horn Elite", "Runner" , "Prowler", "Tri Horn", "Big Black Lizard", "Thunder Thrash Gunner", "Thunder Thrash Scout" , "Drop Ship MK1" , "Rocket MK1" , "Rocket MK2", "Small MG Turret", "SAM Site"};

-- Define specific weapons
CF_RocketLaunchers[factionid] = {"Long Slugger"};
CF_RocketLauncherModules[factionid] = {"Lizard Weapons.rte"};

CF_SniperRifles[factionid] = {"Long Slugger"};
CF_SniperRifleModules[factionid] = {"Lizard Weapons.rte"};

-- Define dropships
CF_Dropships[factionid] = {"Drop Ship MK1"};
CF_DropshipModules[factionid] = {"Base.rte"};

-- Define armored troops. If not defined actor with shield and one handed weapon spawned
CF_ArmorCrabs[factionid] = nil
CF_ArmorCrabModules[factionid] = nil

CF_ArmorHumans[factionid] = {"Thunder Thrash Gunner"};
CF_ArmorHumanModules[factionid] = {"Blue.rte"};

-- Define armor substitutions
CF_ArmorPistols[factionid] = {"Gatling Gun"}
CF_ArmorPistolModules[factionid] = {"Coalition.rte"}

CF_ArmorShields[factionid] = {"Slugger Pistol"}
CF_ArmorShieldModules[factionid] = {"Lizard Weapons.rte"};

-- Define elite weapon sets. All weapons from this set are given to elite soldier.
CF_EliteWeaponSets[factionid] = {"Assault Slugger" , "Long Slugger"}
CF_EliteWeaponSetModules[factionid] = {"Lizard Weapons.rte", "Lizard Weapons.rte"}

--Define turrets
CF_Turrets[factionid] = nil;
CF_TurretModules[factionid] = nil;

-- Define last stand mission. Must be null if not present in Unmapped lands to switch to default
CF_LastStandMission[factionid] = nil;
CF_LastStandMissionScene[factionid] = nil;
